2017 June Release

Supported Platforms and Minimum System RequirementsPermanent link for this heading

Backward compatibility: Fabasoft app.ducx 2017 can be used with limits with Fabasoft installations from version 2008 Production or 8.0 Production.

Microsoft Windows EnvironmentPermanent link for this heading

Fabasoft app.ducx Client

Development Environment for Java

Microsoft Windows 7 Enterprise SP1 (x64)
or
Microsoft Windows 8.1 Enterprise (x64)
or
Microsoft Windows 10 Enterprise (x64)
or
Microsoft Windows Server 2012 R2 Standard (x64)
or
Microsoft Windows Server 2016 Standard (x64)

Oracle Java SE Development Kit 8 Update 131 (JDK)

Eclipse 4.6.2

BIRT Integration

Eclipse BIRT 4.6.2

Build with Apache Ant

Apache Ant 1.9.4

Additional ConditionsPermanent link for this heading

  • The minimum hardware and software requirements for any future versions of this product may differ from the requirements of this version. 
  • A certain version of a third-party product integrated into any Fabasoft software product is supported by Fabasoft as long as the software product itself is supported by the third-party itself. For instance a particular version of an integrated Microsoft software product is only supported by Fabasoft until the date on which the Microsoft “Extended Support Phase” for this product version ends.
  • Third-party products that are required or supported by Fabasoft products, proper licensing and installation of them, necessary tests for product release as well as corresponding manufacturer support are not included in the scope of supply and services and therefore they are not subject to warranty of Fabasoft regarding functionality, mode of operation or features. Fabasoft is not responsible for errors or malfunction, which are caused by third-party software products and/or products that are not included in the scope of supply and services.
  • Fabasoft software products are only supported and tested on the mentioned reference system environments. In addition to the third-party product editions listed in the reference system environments the editions listed in chapter “Supported Editions of Third-Party Products” are supported but not tested.

Supported Editions of Third-Party ProductsPermanent link for this heading

Following editions of third-party products are supported. Explicitly tested are only those editions that are listed in the reference system environments.

  • The third-party product Microsoft Windows Server 2012 R2 is supported in the following editions: Essentials and Standard. The Datacenter edition is only supported in projects (the following values for CPU, available RAM and free disk space do not apply for Datacenter Edition).
  • The third-party product Microsoft Windows Server 2016 is supported in the following editions: Essentials and Standard. The Datacenter edition is only supported in projects (the following values for CPU, available RAM and free disk space do not apply for Datacenter Edition).
  • The third-party product Microsoft Windows 7 SP1 is supported in the following editions: Enterprise and Ultimate.
  • The third-party product Microsoft Windows 8.1 is supported in the following editions: Pro and Enterprise.
  • The third-party product Microsoft Windows 10 is supported in the following editions: Pro and Enterprise.